For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get incoming domain move list

Retrieve all domains other Hostinger accounts are moving to your account.

Get incoming domain move list

get

Retrieve all domains other Hostinger accounts are moving to your account.

Moves of every status are returned, including the ones which already completed.

Use this endpoint to find domains waiting for you to accept them.

Authorizations
AuthorizationstringRequired

API Token authentication

Responses
200

Success response

application/json
domainstringOptional

Domain name

Example: mydomain.tld
statusstring · enumOptional

Status of the move

Example: initiatedPossible values:
created_atstring · date-timeOptionalExample: 2026-08-04T10:00:00Z
updated_atstring · date-timeOptionalExample: 2026-08-04T10:00:00Z
get/api/domains/v1/move/incoming
GET /api/domains/v1/move/incoming HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "domain": "mydomain.tld",
    "status": "initiated",
    "created_at": "2026-08-04T10:00:00Z",
    "updated_at": "2026-08-04T10:00:00Z"
  }
]

Last updated

Was this helpful?